Bug 32292 - Update and add database column descriptions used in guided reports
Summary: Update and add database column descriptions used in guided reports
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Katrin Fischer
URL:
Keywords: Academy
Depends on: 29695
Blocks: 32312 32313 32314 32315
  Show dependency treegraph
 
Reported: 2022-11-19 19:02 UTC by Katrin Fischer
Modified: 2023-02-03 22:07 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This completes and adds column descriptions that show up when creating a new guided report for following tables: * items * borrowers * biblio * aqorders * suggestions
Version(s) released in:
23.05.00,22.11.03


Attachments
Bug 32292: Add column descriptions to subscriptions table / complete items table (6.63 KB, patch)
2022-11-21 22:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to aqorders table (4.33 KB, patch)
2022-11-21 22:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to biblio table (1.75 KB, patch)
2022-11-21 22:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32291: Add missing column descriptions to borrowers table (3.84 KB, patch)
2022-11-21 22:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32292: Fix POD (785 bytes, patch)
2022-11-21 22:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to subscriptions table / complete items table (6.68 KB, patch)
2022-12-03 20:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to aqorders table (4.38 KB, patch)
2022-12-03 20:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to biblio table (1.79 KB, patch)
2022-12-03 20:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 32291: Add missing column descriptions to borrowers table (3.89 KB, patch)
2022-12-03 20:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 32292: Fix POD (834 bytes, patch)
2022-12-03 20:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to subscriptions table / complete items table (6.75 KB, patch)
2023-01-31 12:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to aqorders table (4.44 KB, patch)
2023-01-31 12:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 32292: Add column descriptions to biblio table (1.86 KB, patch)
2023-01-31 12:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 32292: Add missing column descriptions to borrowers table (3.90 KB, patch)
2023-01-31 12:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 32292: Fix POD (901 bytes, patch)
2023-01-31 12:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 32292: Tidy and sort keys (30.55 KB, patch)
2023-01-31 13:50 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-11-19 19:02:38 UTC
When looking at Column.pm, you can see that all the columns are translated to nice display messages, but not the ones for suggestions. They are direct copies of the names of the database columns. This means that 'collectiontitle' and similar show up in translations creating some confusion.

Should these not also be nice labels?

        suggestions=> {
            "author"          => __("author"),
            "copyrightdate"   => __("copyrightdate"),
            "isbn"            => __("isbn"),
            "publishercode"   => __("publishercode"),
            "collectiontitle" => __("collectiontitle"),
            "place"           => __("place"),
            "quantity"        => __("quantity"),
            "itemtype"        => __("itemtype"),
            "branchcode"      => __("branchcode"),
            "patronreason"    => __("patronreason"),
            "note"            => __("note"),
            "title"           => __("title"),
        }
Comment 1 Jonathan Druart 2022-11-21 07:49:42 UTC
Yes, I think so.
Comment 2 Katrin Fischer 2022-11-21 22:19:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2022-11-21 22:19:53 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2022-11-21 22:19:58 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2022-11-21 22:20:04 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2022-11-21 22:22:20 UTC
Fell down the rabbit hole a little bit here... will file some bugs for other tables still missing.
Comment 7 Katrin Fischer 2022-11-21 22:32:11 UTC Comment hidden (obsolete)
Comment 8 David Nind 2022-12-03 20:18:10 UTC
Created attachment 144410 [details] [review]
Bug 32292: Add column descriptions to subscriptions table / complete items table

* Adds proper labels to the database columns for suggestions
* Adds missing item columns:
  * coded_location_qualifier
  * deleted_on
  * exclude_form_local_holds_priority
* Fixes spelling of item type, Uniform resource identifier

To test:
* Go to reports > Guided reports
* Select acquisition or another module using the items
* Make sure all entries for the tables items up with nice descriptions
* Changes to subscriptions: verify reading the patch, these don't seem to show
  up yet in guided reports.

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 David Nind 2022-12-03 20:18:16 UTC
Created attachment 144411 [details] [review]
Bug 32292: Add column descriptions to aqorders table

This adds nice descriptions to the aqorders database columns.

To test:
* Go to Guided reports
* Start a new report for acquisitions module
* Verify that all aqorders columns show with nice descriptions
  None should be missing.

Signed-off-by: David Nind <david@davidnind.com>
Comment 10 David Nind 2022-12-03 20:18:21 UTC
Created attachment 144412 [details] [review]
Bug 32292: Add column descriptions to biblio table

This adds nice descriptions to the aqorders database columns.

To test:
* Go to Guided reports
* Start a new report for acquisitions module
* Verify that all aqorders columns show with nice descriptions
      None should be missing.

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 David Nind 2022-12-03 20:18:26 UTC
Created attachment 144413 [details] [review]
Bug 32291: Add missing column descriptions to borrowers table

Adds missing column descriptions for new features etc. to the
existing entry for borrowres columns descriptions.

To test:
* Go to reports > Guided reports
* Select patrons module
* Make sure all entries for the tables items and suggestions show
  up with nice descriptions

https://bugs.koha-community.org/show_bug.cgi?id=32292

Signed-off-by: David Nind <david@davidnind.com>
Comment 12 David Nind 2022-12-03 20:18:31 UTC
Created attachment 144414 [details] [review]
Bug 32292: Fix POD

POD had a typo in suggestions and was missing the new aqorders.

Signed-off-by: David Nind <david@davidnind.com>
Comment 13 David Nind 2022-12-03 21:21:18 UTC
Testing notes using KTD (koha-testing-docker):

1. Added Katrin as the assignee :)

2. I couldn't see the suggestions descriptions or fields in any of the guided reports available - I am assuming that they are used/show elsewhere in Koha, and not just the guided reports.

3. I confused myself when testing, so I recorded what this bug takes care of for each of the guided reports, and the other bugs that will fix the remaining descriptions.

4. This bug takes care of all descriptions for items, acqorders, biblio, and borrowers.

5. These bugs will take care of all the other descriptions:
- Bug 32312: Circulation - statistics (remaining items)
- Bug 32313: Catalog - biblioitems (remaining items)
- Bug 32314: Accounts - accountlines (all missing)
- Bug 32315: Serials - serial (all missing), serialitems (all missing), subscription (most missing), subscriptionhistory (all missing), subscriptionroutinglist (all missing), acqbooksellers (all missing)

6. Bugs by guided report category: 

Circulation:
- statistics: some missing, bug 32312
- items: OK, fixed by this bug
- biblioitems: some missing, bug 32313

Catalog:
- items: OK, fixed by this bug
- biblioitems: some missing, bug 32313
- biblio: OK, fixed by this bug

Patrons:
- borrowers: OK, fixed by this bug

Acquisitions:
- acqorders: OK, fixed by this bug
- biblio: OK, fixed by this bug
- items: OK, fixed by this bug

Accounts:
- borrowers: OK, fixed by this bug
- accountlines: all missing, bug 32314

Serials:
- serial: all missing, bug 32315
- serialitems: all missing, bug 32315
- subscription: most missing, bug 32315
- subscriptionhistory: all missing, bug 32315
- subscriptionroutinglist: all missing, bug 32315
- biblioitems: some missing, bug 32313
- biblio: OK, fixed by this bug
- acqbooksellers: all missing, bug 32315
Comment 14 Katrin Fischer 2022-12-04 13:17:42 UTC
(In reply to David Nind from comment #13)
> Testing notes using KTD (koha-testing-docker):
> 
> 1. Added Katrin as the assignee :)

Hope Nick doesn't see this :)

Great summary, thx David!
Comment 15 Martin Renvoize 2023-01-31 12:59:08 UTC
Created attachment 145853 [details] [review]
Bug 32292: Add column descriptions to subscriptions table / complete items table

* Adds proper labels to the database columns for suggestions
* Adds missing item columns:
  * coded_location_qualifier
  * deleted_on
  * exclude_form_local_holds_priority
* Fixes spelling of item type, Uniform resource identifier

To test:
* Go to reports > Guided reports
* Select acquisition or another module using the items
* Make sure all entries for the tables items up with nice descriptions
* Changes to subscriptions: verify reading the patch, these don't seem to show
  up yet in guided reports.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2023-01-31 12:59:13 UTC
Created attachment 145854 [details] [review]
Bug 32292: Add column descriptions to aqorders table

This adds nice descriptions to the aqorders database columns.

To test:
* Go to Guided reports
* Start a new report for acquisitions module
* Verify that all aqorders columns show with nice descriptions
  None should be missing.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2023-01-31 12:59:18 UTC
Created attachment 145855 [details] [review]
Bug 32292: Add column descriptions to biblio table

This adds nice descriptions to the aqorders database columns.

To test:
* Go to Guided reports
* Start a new report for acquisitions module
* Verify that all aqorders columns show with nice descriptions
      None should be missing.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 18 Martin Renvoize 2023-01-31 12:59:23 UTC
Created attachment 145856 [details] [review]
Bug 32292: Add missing column descriptions to borrowers table

Adds missing column descriptions for new features etc. to the
existing entry for borrowres columns descriptions.

To test:
* Go to reports > Guided reports
* Select patrons module
* Make sure all entries for the tables items and suggestions show
  up with nice descriptions

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 19 Martin Renvoize 2023-01-31 12:59:28 UTC
Created attachment 145857 [details] [review]
Bug 32292: Fix POD

POD had a typo in suggestions and was missing the new aqorders.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 20 Martin Renvoize 2023-01-31 13:00:04 UTC
Great work, nice cleanup again.

Minor fix applied to one patch to fix the bug number typo.

Passing QA
Comment 21 Tomás Cohen Arazi 2023-01-31 13:48:17 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 22 Tomás Cohen Arazi 2023-01-31 13:50:26 UTC
Created attachment 145868 [details] [review]
Bug 32292: Tidy and sort keys

This patch does a perltidy on the data structure, but also organizes
keys alphabetically to ease maintenance.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 23 Jacob O'Mara 2023-01-31 18:11:00 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.
Comment 24 Lucas Gass 2023-02-03 22:07:47 UTC
Doesn't apply cleanly to 22.05.x, no backport